Bug 56368 - Asynchronous text checking should check the grammar.
Summary: Asynchronous text checking should check the grammar.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Shinya Kawanaka
URL:
Keywords:
Depends on: 56085 73616
Blocks: 71991
  Show dependency treegraph
 
Reported: 2011-03-15 02:22 PDT by Hajime Morrita
Modified: 2011-12-13 01:34 PST (History)
3 users (show)

See Also:


Attachments
Patch (8.95 KB, patch)
2011-12-12 01:35 PST, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch (9.48 KB, patch)
2011-12-12 19:45 PST, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2011-03-15 02:22:41 PDT
Currently asynchronous text checking by EditorClient::requestCheckingOfString() does only spellchecking, but it should also do a grammar checking.
Comment 1 Shinya Kawanaka 2011-12-12 01:35:08 PST
Created attachment 118750 [details]
Patch
Comment 2 Hajime Morrita 2011-12-12 18:16:38 PST
Comment on attachment 118750 [details]
Patch

Please skip for Leopard. It doesn't implement requestCheckingOfString().
Comment 3 Hajime Morrita 2011-12-12 18:17:58 PST
Comment on attachment 118750 [details]
Patch

Please skip for Leopard. it doesn't implement requestCheckingOfstring().
Comment 4 Shinya Kawanaka 2011-12-12 19:45:41 PST
Created attachment 118940 [details]
Patch
Comment 5 Shinya Kawanaka 2011-12-12 19:46:01 PST
Done. 

(In reply to comment #3)
> (From update of attachment 118750 [details])
> Please skip for Leopard. it doesn't implement requestCheckingOfstring().
Comment 6 WebKit Review Bot 2011-12-13 01:34:14 PST
Comment on attachment 118940 [details]
Patch

Clearing flags on attachment: 118940

Committed r102662: <http://trac.webkit.org/changeset/102662>
Comment 7 WebKit Review Bot 2011-12-13 01:34:21 PST
All reviewed patches have been landed.  Closing bug.